"use strict";
this.name					= "MaintenanceTuneUp_Conditions";
this.author					= "phkb";
this.copyright              = "2019 phkb";
this.description			= "Condition script for Maintenance Tune Up";
this.licence                = "CC BY-NC-SA 4.0";

//-------------------------------------------------------------------------------------------------------------
this.allowAwardEquipment = function(equipment, ship, context) {
    if (context === "scripted") return true;
    if (equipment === "EQ_MAINTENANCE_TUNEUP") {
        if (ship.canAwardEquipment("EQ_RENOVATION") == true) return false;
        if (ship.serviceLevel >= 98) return false;
        var mtu = worldScripts.MaintenanceTuneUp_Core;
        var p = player.ship;
        if (p.serviceLevel.toFixed(0) == mtu._storedServiceLevel.toFixed(0) && p.dockedStation.equivalentTechLevel <= mtu._storedTechLevel) {
            return false;
        }
    
        return true;
    }
    return false;
}

//-------------------------------------------------------------------------------------------------------------
this.updateEquipmentPrice = function(equipment, price) {
    var newprice = price;
    var p = player.ship;
    if (equipment === "EQ_MAINTENANCE_TUNEUP") {
        newprice = p.renovationCost;
        if (newprice < 10000) newprice = 10000; // set a minimum price
    }
    return newprice;
}